[typo] Unable to run trunk (1349)

Kevin Ballard kevin at sb.org
Sun Jan 21 12:55:11 EST 2007


It looks like you're missing, um, rubygems itself.

And yeah, you should have rails 1.2. There's an svn:externals to  
check out rails 1.2 into the vendor folder, but if you're using a  
tool like svk that's not going to work for you. You really should  
freeze Rails 1.2.1 into the vendor folder if it's not there.

On Jan 21, 2007, at 10:34 AM, Lars Roland wrote:

> I am having some problems with trunk in rev 1349, I get the following
> when running script/server:
>
> ----
> => Booting WEBrick...
> ../config/../vendor/rails/activesupport/lib/active_support/ 
> dependencies.rb:496:in
> `require': no such file to load -- rubygems (MissingSourceFile)
>         from ../config/../vendor/rails/activesupport/lib/ 
> active_support/dependencies.rb:496:in
> `require'
>         from ../config/../vendor/rails/activesupport/lib/ 
> active_support/dependencies.rb:343:in
> `new_constants_in'
>         from ../config/../vendor/rails/activesupport/lib/ 
> active_support/dependencies.rb:496:in
> `require'
>         from ../config/../vendor/plugins/haml/lib/haml/template.rb:2
>         from ../config/../vendor/rails/activesupport/lib/ 
> active_support/dependencies.rb:496:in
> `require'
>         from ../config/../vendor/rails/activesupport/lib/ 
> active_support/dependencies.rb:496:in
> `require'
>         from ../config/../vendor/rails/activesupport/lib/ 
> active_support/dependencies.rb:343:in
> `new_constants_in'
>         from ../config/../vendor/rails/activesupport/lib/ 
> active_support/dependencies.rb:496:in
> `require'
>          ... 19 levels...
>         from ../config/../vendor/rails/activesupport/lib/ 
> active_support/dependencies.rb:496:in
> `require'
>         from ../config/../vendor/rails/railties/lib/commands/ 
> server.rb:39
>         from ./server:3:in `require'
>         from ./server:3
> ----
>
> Does anyone else see this problem or am I overlooking something
> obvious ?. On a different note is rails 1.2 required these days or is
> 1.1.X still fine ?

-- 
Kevin Ballard
http://kevin.sb.org
kevin at sb.org
http://www.tildesoft.com


-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://rubyforge.org/pipermail/typo-list/attachments/20070121/4cab93ff/attachment-0001.html 
-------------- next part --------------
A non-text attachment was scrubbed...
Name: smime.p7s
Type: application/pkcs7-signature
Size: 2432 bytes
Desc: not available
Url : http://rubyforge.org/pipermail/typo-list/attachments/20070121/4cab93ff/attachment-0001.bin 


More information about the Typo-list mailing list